Package be.fgov.ehealth.rn.baselegaldata.v1

# Class ContactAddressWithUpdateStatusType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalContactAddressType
be.fgov.ehealth.rn.baselegaldata.v1.ContactAddressWithUpdateStatusType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class ContactAddressWithUpdateStatusType extends AbstractOptionalContactAddressType implements Serializable

Java class for ContactAddressWithUpdateStatusType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ContactAddressWithUpdateStatusType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AbstractOptionalContactAddressType">
           <attribute name="Status" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}UpdateDatagroupStatusType" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContactAddressWithUpdateStatusType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getStatus()`
  Gets the value of the status property.
  `void`
  `setStatus(String value)`
  Sets the value of the status property.

  ### Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalContactAddressType

  `getAddressRegionalCode, getBoxNumber, getCityCode, getCityNames, getCityRegionalCode, getCountryCode, getCountryIsoCode, getCountryNames, getHouseNumber, getInceptionDate, getPostalCode, getRegionCode, getRegionNames, getStreetCode, getStreetNames, getStreetRegionalCode, getTypeCode, getTypeDescriptions, setAddressRegionalCode, setBoxNumber, setCityCode, setCityRegionalCode, setCountryCode, setCountryIsoCode, setHouseNumber, setInceptionDate, setPostalCode, setRegionCode, setStreetCode, setStreetRegionalCode, setTypeCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContactAddressWithUpdateStatusType

    public ContactAddressWithUpdateStatusType()

- ## Method Details

  - ### getStatus

    public String getStatus()
    Gets the value of the status property.
    Returns:
      possible object is `String`

  - ### setStatus

    public void setStatus(String value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `String`